// -*- C++ -*-
/*
 * CL Open EVSE Firmware
 *
 * This file is part of CL Open EVSE.

 * CL Open EVSE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.

 * CL Open EVSE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with CL Open EVSE; see the file COPYING.  If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#include "clever.h"

const char VERSTR[] PROGMEM = VERSION;
const char CLCS_BUSSTR[] PROGMEM = CLCS_BUS_STR;
const char CLCS_IDSTR[] PROGMEM = CLCS_ID_STR;

#if defined(BTN_MENU) || defined(SHOW_DISABLED_TESTS)
const char g_psSettings[] PROGMEM = "Settings";
const char g_psSetup[] PROGMEM = "Setup";
const char g_psSvcLevel[] PROGMEM = "Service Level";
const char g_psMaxCurrent[] PROGMEM = "Max Current";
const char g_psDiodeCheck[] PROGMEM = "Diode Check";
const char g_psVentReqChk[] PROGMEM = "Vent Req'd Check";
#ifdef RGBLCD
const char g_psBklType[] PROGMEM = "Backlight Type";
#endif
#ifdef ADVPWR
const char g_psGndChk[] PROGMEM = "Ground Check";
const char g_psRlyChk[] PROGMEM = "Stuck Relay Chk";
#endif // ADVPWR
#ifdef TEMPERATURE_MONITORING
const char g_psTempChk[] PROGMEM = "Temperature Chk";
#endif
#endif // BTN_MENU || SHOW_DISABLED_TEST

#ifdef BTN_MENU
const char *g_YesNoMenuItems[] = {"Yes","No"};
const char g_psResetNow[] PROGMEM = "Restart Now?";
const char g_psReset[] PROGMEM = "Restart";
const char g_psExit[] PROGMEM = "Exit";
// Add additional strings - GoldServe
#ifdef CHARGE_LIMIT
const char g_psChargeLimit[] PROGMEM = "Charge Limit";
#endif // CHARGE_LIMIT
#ifdef TIME_LIMIT
const char g_psTimeLimit[] PROGMEM = "Time Limit";
#endif // TIME_LIMIT
#ifdef RGBLCD
const char *g_BklMenuItems[] = {"RGB","Monochrome"};
#endif // RGBLCD
#endif // BTN_MENU

#if defined(LCD16X2) || defined(CL_I2C_LCD)
#ifdef ADVPWR
const char g_psPwrOn[] PROGMEM = "Power On";
const char g_psSelfTest[] PROGMEM = "Self Test";
const char g_psAutoDetect[] PROGMEM = "Auto Detect";
const char g_psLevel1[] PROGMEM = "Ready"; //Svc Level: L1
const char g_psLevel2[] PROGMEM = "Svc Level: L2";
const char g_psTestFailed[] PROGMEM = "TEST FAILED";
#endif // ADVPWR
const char g_psEvseError[] PROGMEM =  "EVSE ERROR";
const char g_psSvcReq[] PROGMEM =  "SERVICE REQUIRED";
const char g_psVentReq[] PROGMEM = "VENT REQUIRED";
const char g_psDiodeChkFailed[] PROGMEM = "DIODE CHECK";
const char g_sRetryIn[] = "RETRY IN ";

#ifdef TEMPERATURE_MONITORING
const char g_psTemperatureFault[] PROGMEM = "OVER TEMPERATURE";
#endif
const char g_psNoGround[] PROGMEM = "NO GROUND";
const char g_psStuckRelay[] PROGMEM = "STUCK RELAY";
const char g_psDisabled[] PROGMEM =  "Disabled";
//const char g_psWaiting[] PROGMEM =  "Waiting";
const char g_psSleeping[] PROGMEM = "Sleeping";
const char g_psEvConnected[] PROGMEM = "Connected";
#ifdef SHOW_DISABLED_TESTS
const char g_psDisabledTests[] PROGMEM = "TEST DISABLED";
#endif

const char g_sRdyLAstr[] = "Imax=%dA";
const char g_psState_A[] PROGMEM = "State A: EV not connected";
const char g_psState_B[] PROGMEM = "State B: EV connected";
const char g_psState_C[] PROGMEM = "State C: EV charging";
const char g_psState_D[] PROGMEM = "State D: EV vent required";
const char g_psReady[] PROGMEM = "Ready";
const char g_psCharging[] PROGMEM = "Charging";
const char *g_sMaxCurrentFmt = "%s Max Current";
#endif // LCD16X2
